<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Dashboard</title>
    <style>

        th, thead {
            position: relative;
            z-index: 2;
            background-color: white;
        }

        .marquee {
            top: 1em;
            position: relative;
            box-sizing: border-box;
            animation: marquee 10000s linear 0s infinite;
        }

        .marquee:hover {
            animation-play-state: paused;
        }

        @keyframes marquee {
            0% {
                transform: translate(0, 0);
            }
            100% {
                transform: translate(0, -100%);
            }
        }

        .marquee2 {
            top: 1em;
            position: relative;
            box-sizing: border-box;
            animation: marquee 250s linear 0s infinite;
        }

        .marquee2:hover {
            animation-play-state: paused;
        }

        @keyframes marquee2 {
            0% {
                transform: translate(0, 0);
            }
            100% {
                transform: translate(0, -100%);
            }
        }


        .tableFixHead {
            overflow-y: auto;
            height: 500px;
        }
        .tableFixHead thead th {
            position: sticky;
            top: 0;
        }
        table {
            border-collapse: collapse;
            width: 100%;
        }
        th,
        td {
            padding: 8px 16px;
        }
        th {
            background: #eee;
        }

        .borderless td, .borderless th {
            border: none;
        }


    </style>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">

                    <div class="row"
                         sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN')or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_DOSEN_AKADEMIK')">
                        <div class="col-xl-12 mb-5 mb-xl-0">
                            <div class="card shadow">
                                <div class="card-header">
                                    <div class="nav-wrapper">
                                        <ul class="nav nav-pills nav-fill flex-column flex-md-row" id="tabs-icons-text"
                                            role="tablist">
                                            <li class="nav-item">
                                                <a class="nav-link mb-sm-3 mb-md-0 active" id="tabs-icons-text-1-tab"
                                                   data-toggle="tab" href="#tabs-icons-text-1" role="tab"
                                                   aria-controls="tabs-icons-text-1" aria-selected="true"><i
                                                        class="fas fa-book mr-2"></i>Jadwal Kuliah</a>
                                            </li>
                                            <li class="nav-item" th:if="${ujian != null}">
                                                <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-2-tab"
                                                   data-toggle="tab" href="#tabs-icons-text-2" role="tab"
                                                   aria-controls="tabs-icons-text-2" aria-selected="false"><i
                                                        class="fas fa-bookmark mr-2"></i>Jadwal Ujian</a>
                                            </li>
                                        </ul>
                                    </div>

                                </div>

                                <div class="card shadow">
                                    <div class="card-body">
                                        <div class="tab-content" id="myTabContent">
                                            <div class="tab-pane fade show active" id="tabs-icons-text-1"
                                                 role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                                                <div class="table-responsive">
                                                    <div>
                                                        <table class="table align-items-center table-flush">
                                                            <thead class="thead-light">
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Hari</th>
                                                                <th>Jam</th>
                                                                <th>Ruangan</th>
                                                                <th>Matakuliah</th>
                                                                <th>Kelas</th>
                                                                <th>SKS</th>
                                                                <th>Status</th>
                                                                <th>Jumlah Presensi</th>
                                                                <th>Presensi</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody class="list">
                                                            <tr th:each="jadwal,row : ${jadwal}">
                                                                <td th:text="${row.index + 1}"></td>
                                                                <td><b th:text="${jadwal[7]}"></b>
                                                                <td th:text="${jadwal[4]}"></td>
                                                                <td th:text="${jadwal[3]}"></td>
                                                                <td
                                                                    th:text="${jadwal[5]}">
                                                                </td>
                                                                <td th:text="${jadwal[6]}"></td>
                                                                </td>
                                                                <td
                                                                        th:text="${jadwal[8]}">
                                                                </td>
                                                                <td><b th:text="${jadwal[10]}"></b>
                                                                </td>
                                                                <td th:text="${jadwal[11]}"></td>
                                                                <td>
                                                                    <a class="btn btn-sm btn-primary" th:href="@{/studiesActivity/attendance/detail(jadwal=${jadwal[0]})}">Presensi</a>
                                                                </td>
                                                            </tr>

                                                            </tbody>
                                                        </table>
                                                    </div>

                                                </div>
                                            </div>
                                            <div class="tab-pane fade" id="tabs-icons-text-2" role="tabpanel"
                                                 aria-labelledby="tabs-icons-text-2-tab">
                                                <div class="row align-items-center">
                                                    <div class="col">
                                                        <center>
                                                            <h4 class=" mb-0" th:text="${judul}">Jadwal Ujian Tengah
                                                                Semester</h4>
                                                        </center>
                                                        <br>
                                                    </div>
                                                </div>

                                                <div class="table-responsive">
                                                    <div>
                                                        <table class="table align-items-center table-flush">
                                                            <thead class="thead-light">
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Ruangan</th>
                                                                <th>Tanggal</th>
                                                                <th>Waktu</th>
                                                                <th>Matakuliah</th>
                                                                <th>Kelas</th>
                                                                <th>Dosen</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody class="list">
                                                            <tr th:each="data,row : ${ujian}"
                                                                th:if="${not #lists.isEmpty(ujian)}">
                                                                <td th:text="${row.index + 1}"></td>
                                                                <td th:text="${data.ruangan}"></td>
                                                                <td><b th:text="${data.tanggal}"></b></td>
                                                                <td><b th:text="${data.waktu}"></b></td>
                                                                <td th:text="${data.matkul}"></td>
                                                                <td th:text="${data.kelas}"></td>
                                                                <td th:text="${data.dosen}"></td>
                                                            </tr>

                                                            <tr th:if="${#lists.isEmpty(ujian)}">
                                                                <td colspan="6"><center><b>Tidak Ada Jadwal Ujian</b></center></td>
                                                            </tr>

                                                            </tbody>
                                                        </table>
                                                    </div>

                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div th:if="${!#lists.isEmpty(listCutiDosenWali)}" class="row" style="margin-top: 20px;" sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK')">
                        <div class="col-md-12 col-xs-12">
                            <div class="card shadow">
                                <div class="card-header">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h6 class="text-uppercase ls-1 mb-1">List</h6>
                                            <h2 class=" mb-0">Mahasiswa Cuti</h2>
                                        </div>
                                    </div>
                                </div>
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                        <tr>
                                            <th>#</th>
                                            <th>Nim</th>
                                            <th>Nama</th>
                                            <th>Detail</th>
                                            <th>Status</th>
                                            <th colspan="2" class="text-center">Approved</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data, row : ${listCutiDosenWali}">
                                            <td th:text="${(row.index + 1)}"></td>
                                            <td th:text="${data[1]}"></td>
                                            <td th:text="${data[2]}"></td>
                                            <td>
                                                <button type="button" class="btn btn-warning btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data[0]}">
                                                    <i class="fa fa-eye"></i> Lihat Alasan Cuti
                                                </button>

                                                <!-- Modal -->
                                                <div class="modal fade" th:id="${'exampleModal' + data[0]}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Alasan Cuti</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <p th:text="${data[3]}"></p>
                                                                <p><b>Cuti selama <span th:text="${data[8]}"></span> semester </b></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <span class="btn btn-info btn-sm" th:if="${data[6] == 'WAITING'}">Belum Disetujui</span>
                                                <span class="btn btn-primary btn-sm" th:if="${data[6] == 'APPROVED' && data[9] == 'WAITING'}">Waiting for approval by KPS</span>
                                                <span class="btn btn-success btn-sm" th:if="${data[9] == 'APPROVED'}">APPROVED</span>
                                                <span class="btn btn-danger btn-sm" th:if="${data[9] == 'REJECTED'}">REJECTED</span>
                                            </td>
                                            <td class="text-center" th:if="${data[6] == 'WAITING'}">
                                                <form th:action="@{admin/updateCuti(cuti = ${data[0]})}" method="post">
                                                    <button class="btn btn-primary btn-sm">Approved</button>
                                                </form>
                                            </td>
                                            <td class="text-center" th:if="${data[6] == 'WAITING'}">
                                                <form th:action="@{cuti/dosenWali/reject(cuti = ${data[0]})}" method="post">
                                                    <button class="btn btn-danger btn-sm">Reject</button>
                                                </form>
                                            </td>
                                            <td class="text-center" colspan="2" th:if="${data[6] == 'APPROVED_DOSEN_WALI' or data[6] == 'APPROVED'}">
                                                -
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div th:if="${!#lists.isEmpty(listCutiKps)}" class="row" style="margin-top: 20px;" sec:authorize="hasAuthority('VIEW_KPS')">
                        <div class="col-md-12 col-xs-12">
                            <div class="card shadow">
                                <div class="card-header">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h6 class="text-uppercase ls-1 mb-1">List</h6>
                                            <h2 class=" mb-0">Mahasiswa Cuti</h2>
                                        </div>
                                    </div>
                                </div>
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                        <tr>
                                            <th>#</th>
                                            <th>Nim</th>
                                            <th>Nama</th>
                                            <th>Detail</th>
                                            <th>Status</th>
                                            <th colspan="2" class="text-center">Approved</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data, row : ${listCutiKps}">
                                            <td th:text="${(row.index + 1)}"></td>
                                            <td th:text="${data[1]}"></td>
                                            <td th:text="${data[2]}"></td>
                                            <td>
                                                <button type="button" class="btn btn-warning btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data[0]}">
                                                    <i class="fa fa-eye"></i> Lihat Alasan Cuti
                                                </button>

                                                <!-- Modal -->
                                                <div class="modal fade" th:id="${'exampleModal' + data[0]}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Alasan Cuti</h5>
                                                                <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <p th:text="${data[4]}"></p>
                                                                <p><b>Cuti selama <span th:text="${data[9]}"></span> semester </b></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <span class="btn btn-info btn-sm" th:if="${data[6] == 'APPROVED_DOSEN_WALI'}">WAITING</span>
                                                <span class="btn btn-success btn-sm" th:if="${data[6] == 'APPROVED'}">APPROVED</span>
                                                <span class="btn btn-danger btn-sm" th:if="${data[6] == 'REJECTED'}">REJECTED</span>
                                            </td>
                                            <td class="text-center" th:if="${data[8] == 'APPROVED' && data[6] == 'WAITING'}">
                                                <form th:action="@{admin/approved(cuti = ${data[0]})}" method="post">
                                                    <button class="btn btn-primary btn-sm">Approved</button>
                                                </form>
                                            </td>
                                            <td class="text-center" th:if="${data[8] == 'APPROVED' && data[6] == 'WAITING'}">
                                                <form th:action="@{cuti/kps/reject(cuti = ${data[0]})}" method="post">
                                                    <button class="btn btn-danger btn-sm">Reject</button>
                                                </form>
                                            </td>
                                            <td colspan="2" class="text-center" th:if="${data[6] == 'APPROVED'}">
                                                -
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div th:if="${!#lists.isEmpty(listMhsDiWalikan)}" class="row" style="margin-top: 20px;" sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK')">
                        <div class="col-md-12 col-xs-12">
                            <div class="card shadow">
                                <div class="card-header">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h6 class="text-uppercase ls-1 mb-1">List</h6>
                                            <h2 class=" mb-0">Wali Mahasiswa</h2>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="table-responsive">
                                        <table id="data-table-1" class="table align-items-center table-flush">
                                            <thead class="thead-light">
                                            <tr>
                                                <th>#</th>
                                                <th>Nim</th>
                                                <th>Nama</th>
                                                <th>Angkatan</th>
                                                <th>Prodi</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="data, row : ${listMhsDiWalikan}">
                                                <td th:text="${(row.index + 1)}"></td>
                                                <td th:text="${data.nim}"></td>
                                                <td th:text="${data.nama}"></td>
                                                <td th:text="${data.angkatan}"></td>
                                                <td th:text="${data.idProdi.namaProdi}"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div></div>

                    <div th:if="${!#lists.isEmpty(listMhsDiWalikan)}" class="row" style="margin-top: 20px;" sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK')">
                        <div class="col-md-12 col-xs-12">
                            <div class="card shadow">
                                <div class="card-header">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h6 class="text-uppercase ls-1 mb-1">List</h6>
                                            <h2 class=" mb-0">Absensi Event Mahasiswa</h2>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush">
                                            <thead class="thead-light">
                                            <tr>
                                                <th>#</th>
                                                <th>Event</th>
                                                <th>Tahun Akademik</th>
                                                <th>Jadwal</th></th>
                                                <th>Tanggal Publis</th>
                                                <th>Absen</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="event, row : ${listEvent}">
                                                <td th:text="${(row.index + 1)}"></td>
                                                <td th:text="${event.eventName}"></td>
                                                <td th:text="${event.tahunAkademik.namaTahunAkademik}"></td>
                                                <td th:text="${#temporals.format(event.scheduleStart, 'dd-MMM-yyyy HH:mm:ss') + ' s/d ' + #temporals.format(event.scheduleEnd, 'dd-MMM-yyyy HH:mm:ss')}"></td>
                                                <td th:text="${event.schedulePublish}"></td>
                                                <td class="align-middle p-0">
                                                    <a class="btn btn-sm btn-info" title="Detail" th:href="@{/event/dosen(event = ${event.id})}" >
                                                        <i class="fa fa-eye"></i> Detail
                                                    </a>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>



                    <!-- Card stats -->
                    <br>
                    <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAnyAuthority('VIEW_FINANCE') or hasAuthority('VIEW_KPS')">
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Jumlah Kelas</h5>
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlSemuaKelas}">120</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                                <i class="fas fa-user"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Persentase Kelas Ontime</h5>
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOntime[0]}">2,356</span>
                                            |
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOntime[1] + '%'}">2,356</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                                <i class="fas fa-user"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Persentase Kelas Terlambat</h5>
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasTerlambat[0]}">2,352</span>
                                            |
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasTerlambat[1] + '%'}">2,456</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                                <i class="fas fa-user"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Persentase Kelas Pengganti</h5>
                                            <span class="h2 font-weight-bold mb-0" >-</span>

                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-info text-white rounded-circle shadow">
                                                <i class="fas fa-user"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <br>
                    <br>
                    <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAnyAuthority('VIEW_FINANCE') or hasAuthority('VIEW_KPS')">

                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Total Kelas Kosong</h5>
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasKosong[0]}">2,352</span>
                                            |
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasKosong[1] + '%'}">2,456</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                                <i class="fas fa-user"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Total Kelas Online</h5>
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOnline[0]}">2,352</span>
                                            |
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOnline[1] + '%'}">2,456</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                                <i class="fas fa-user"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Total Kelas Offline</h5>
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOffline[0]}">2,352</span>
                                            |
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOffline[1] + '%'}">2,456</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                                <i class="fas fa-user"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Kelulusan Ontime</h5>
                                            <span class="h2 font-weight-bold mb-0">-</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                                <i class="fas fa-user"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <br>
                    <br>

                    <!--                dashboard info untuk mahasiswa-->
                    <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAnyAuthority('VIEW_FINANCE') or hasAuthority('VIEW_KPS')">

                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Jumlah Mahasiswa</h5>
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlMhsA}">2,356</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-info text-white rounded-circle shadow">
                                                <i class="fas fa-users"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Persentase Mahasiswa Ontime</h5>
                                            <span> In Progress</span>
                                            <!--                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlMahasiswaOntime[0]}">2,356</span>-->
                                            <!--                                        |-->
                                            <!--                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlMahasiswaOntime[1] + '%'}">2,356</span>-->
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-info text-white rounded-circle shadow">
                                                <i class="fas fa-users"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Persentase Mahasiswa Telat</h5>
                                            <span>In Progress</span>
                                            <!--                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlMahasiswaTerlambat[0]}">2,356</span>-->
                                            <!--                                        |-->
                                            <!--                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlMahasiswaTerlambat[1] + '%'}">2,356</span>-->
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-info text-white rounded-circle shadow">
                                                <i class="fas fa-users"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Persentase Mahasiswa Sempro</h5>
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlSempro[0]}">2,356</span>
                                            |
                                            <span class="h2 font-weight-bold mb-0" th:text="${jmlSempro[1] + '%'}">2,356</span>
                                        </div>
                                        <div class="col-auto">
                                            <div class="icon icon-shape bg-info text-white rounded-circle shadow">
                                                <i class="fas fa-users"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <br>
                    <br>

                    <!--                dashboard info untuk mahasiswa-->
                    <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAnyAuthority('VIEW_FINANCE') or hasAuthority('VIEW_KPS')">

                        <div class="col-xl-3 col-lg-6">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <a th:href="@{/report/recapitulation/presensiDosen/list}">
                                        <div class="row">
                                            <div class="col">
                                                <h5 class="card-title text-uppercase text-muted mb-0">Persentase ketepatan dosen</h5>
                                                <span class="h2 font-weight-bold mb-0" th:text="${persentaseDosen[3]}">2,356</span>
                                            </div>
                                            <div class="col-auto">
                                                <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                                    <i class="fas fa-users"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!--list total sks screen admin-->
<!--                    <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAnyAuthority('VIEW_FINANCE')">-->
<!--                        <div class="col-12">-->
<!--                            <div class="card mb-4">-->
<!--                                <div class="card-header pb-0">-->
<!--                                    <h4>List Total SKS</h4>-->
<!--                                </div>-->
<!--                                <div class="card-body px-0 pt-0 pb-2">-->
<!--&lt;!&ndash;                                    <div class="table-responsive p-0">&ndash;&gt;-->
<!--                                    <div class="tableFixHead ">-->
<!--                                        <table class="table align-items-center mb-0 borderless">-->
<!--                                            <thead>-->
<!--                                            <tr>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7">No</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7">Nim</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Nama</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Prodi</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Total SKS</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Status</th>-->
<!--                                            </tr>-->
<!--                                            </thead>-->
<!--                                            <tbody class="marquee">-->
<!--                                            <tr th:each="data, row : ${listTotalSks}">-->
<!--                                                <td th:text="${(row.index + 1)}"></td>-->
<!--                                                <td th:text="${data.getNim}"></td>-->
<!--                                                <td th:text="${data.getNama}"></td>-->
<!--                                                <td th:text="${data.getNamaProdi}"></td>-->
<!--                                                <td th:text="${data.getTotalSks}"></td>-->
<!--                                                <td th:text="${data.getStatusKrs}"></td>-->
<!--                                            </tr>-->
<!--                                            </tbody>-->
<!--                                        </table>-->
<!--                                    </div>-->
<!--&lt;!&ndash;                                    <div class="card-footer py-4">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <nav aria-label="...">&ndash;&gt;-->
<!--&lt;!&ndash;                                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">&ndash;&gt;-->
<!--&lt;!&ndash;                                                <li class="disabled"><a href="#" aria-label="Previous"><span&ndash;&gt;-->
<!--&lt;!&ndash;                                                        aria-hidden="true">&laquo;</span></a>&ndash;&gt;-->
<!--&lt;!&ndash;                                                </li>&ndash;&gt;-->
<!--&lt;!&ndash;                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>&ndash;&gt;-->
<!--&lt;!&ndash;                                                </li>&ndash;&gt;-->
<!--&lt;!&ndash;                                            </ul>&ndash;&gt;-->
<!--&lt;!&ndash;                                        </nav>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </div>&ndash;&gt;-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->

                    <!--list total sks screen dosen-->
<!--                    <div class="row" sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN')or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_DOSEN_AKADEMIK')">-->
<!--                        <div class="col-12">-->
<!--                            <div class="card mb-4">-->
<!--                                <div class="card-header pb-0">-->
<!--                                    <h4>List Total SKS</h4>-->
<!--                                </div>-->
<!--                                <div class="card-body px-0 pt-0 pb-2">-->
<!--                                    &lt;!&ndash;                                    <div class="table-responsive p-0">&ndash;&gt;-->
<!--                                    <div class="tableFixHead ">-->
<!--                                        <table class="table align-items-center mb-0 borderless">-->
<!--                                            <thead>-->
<!--                                            <tr>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7">No</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7">Nim</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Nama</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Prodi</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Total SKS</th>-->
<!--                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Status</th>-->
<!--                                            </tr>-->
<!--                                            </thead>-->
<!--                                            <tbody class="marquee2">-->
<!--                                            <tr th:each="data, row : ${listTotalSks2}">-->
<!--                                                <td th:text="${(row.index + 1)}"></td>-->
<!--                                                <td th:text="${data.getNim}"></td>-->
<!--                                                <td th:text="${data.getNama}"></td>-->
<!--                                                <td th:text="${data.getNamaProdi}"></td>-->
<!--                                                <td th:text="${data.getTotalSks}"></td>-->
<!--                                                <td th:text="${data.getStatusKrs}"></td>-->
<!--                                            </tr>-->
<!--                                            </tbody>-->
<!--                                        </table>-->
<!--                                    </div>-->
<!--                                    &lt;!&ndash;                                    <div class="card-footer py-4">&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                        <nav aria-label="...">&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                                <li class="disabled"><a href="#" aria-label="Previous"><span&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                                        aria-hidden="true">&laquo;</span></a>&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                                </li>&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                                </li>&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                            </ul>&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                        </nav>&ndash;&gt;-->
<!--                                    &lt;!&ndash;                                    </div>&ndash;&gt;-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->

<!--&lt;!&ndash;                                    table dosen&ndash;&gt;-->
<!--                                    <div class="row">-->
<!--                                        <div class="col-12">-->
<!--                                            <div class="card mb-4">-->
<!--                                                <div class="card-header pb-0">-->
<!--                                                    <h4>Kehadiran Dosen Terbaik</h4>-->
<!--                                                </div>-->
<!--                                                <div class="card-body px-0 pt-0 pb-2">-->
<!--                                                    <div class="table-responsive p-0">-->
<!--                                                        <table class="table align-items-center mb-0">-->
<!--                                                            <thead>-->
<!--                                                            <tr>-->
<!--                                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7">No</th>-->
<!--                                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7">Nama</th>-->
<!--                                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Prodi</th>-->
<!--                                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Sesi Tepat Waktu</th>-->
<!--                                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Total Semua Sesi</th>-->
<!--                                                                <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Persentase</th>-->
<!--                                                            </tr>-->
<!--                                                            </thead>-->
<!--                                                            <tbody>-->
<!--                                                            <tr th:each="data, row : ${klasemenDosen}">-->
<!--                                                                <td th:text="${(row.index + 1)}"></td>-->
<!--                                                                <td th:text="${data.getDosen}"></td>-->
<!--                                                                <td th:text="${data.getNamaProdi}"></td>-->
<!--                                                                <td th:text="${data.getSesiTepatWaktu}"></td>-->
<!--                                                                <td th:text="${data.getSemuaSesi}"></td>-->
<!--                                                                <td th:text="${data.getPersentase} + '%'"></td>-->
<!--                                                            </tr>-->
<!--                                                            </tbody>-->
<!--                                                        </table>-->
<!--                                                    </div>-->
<!--                                                    <div class="card-footer py-4">-->
<!--                                                        <nav aria-label="...">-->
<!--                                                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">-->
<!--                                                                <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                                                        aria-hidden="true">&laquo;</span></a>-->
<!--                                                                </li>-->
<!--                                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                                                                </li>-->
<!--                                                            </ul>-->
<!--                                                        </nav>-->
<!--                                                    </div>-->
<!--                                                </div>-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                    </div>-->


    <!--                tabel mahasiswa-->
    <!--                <div class="row">-->
    <!--                    <div class="col-12">-->
    <!--                        <div class="card mb-4">-->
    <!--                            <div class="card-header pb-0">-->
    <!--                                <h4>Kehadiran Mahasiswa Terbaik</h4>-->
    <!--                            </div>-->
    <!--                            <div class="card-body px-0 pt-0 pb-2">-->
    <!--                                <div class="table-responsive p-0">-->
    <!--                                    <table class="table align-items-center mb-0">-->
    <!--                                        <thead>-->
    <!--                                        <tr>-->
    <!--                                            <th class="text-uppercase text-xxs font-weight-bolder opacity-7">Nama</th>-->
    <!--                                            <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Prodi</th>-->
    <!--                                            <th class="opacity-7"></th>-->
    <!--                                        </tr>-->
    <!--                                        </thead>-->
    <!--                                        <tbody>-->
    <!--                                        <tr th:each="data, row : ${klasemenMahasiswa}">-->
    <!--                                            <td th:text="${(row.index + 1)}"></td>-->
    <!--                                            <td th:text="${data[5]}"></td>-->
    <!--                                            <td th:text="${data[3]}">-->
    <!--                                        </tr>-->
    <!--                                        </tbody>-->
    <!--                                    </table>-->
    <!--                                </div>-->
    <!--                            </div>-->
    <!--                        </div>-->
    <!--                    </div>-->
    <!--                </div>-->
    </div>


            </div>
        </div>
    </div>
</div>
</body>
</html>